MailcrateDocs
Organization

Attest contact consent

POST
/public/organization/workspaces/{id}/contact-consent

Requires the workspaces:provision scope.

Authorization

OrganizationApiKey
headerAuthorization<token>

Api-Key mco_... — an organization management key.

Path Parameters

id*string

Request Body

application/json
  1. body
attestContactConsent*boolean

Response Body

application/json
  1. response
workspaceId*string
policyKey*string
policyVersion*string
attested*boolean
recorded*boolean
Example Request
curl -X POST 'https://api.mailcrate.io/public/organization/workspaces/string/contact-consent' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{  "attestContactConsent": true}'
Example Response
{  "workspaceId": "string",  "policyKey": "string",  "policyVersion": "string",  "attested": true,  "recorded": true}